<dx-data-grid class="gridContainer box-shadow" #gridEliminate [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
    [showRowLines]='ui.showRowLines' [dataSource]='dsEliminate' (onToolbarPreparing)='ui.prepareToolbar($event, true)'
    [height]='ui.fullHeight'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='Deșeuri_Eliminate'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-group-panel [visible]='true'></dxo-group-panel>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseEliminate"></dxo-state-storing>
    <dxo-filter-row [visible]='true'></dxo-filter-row>
    <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>

    <dxi-column [caption]='ds.lg.format("TRANSPORT NO")' dataField='t_no' dataType='number' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("FROM DATE")' dataField='t_sendDate' dataType='date' minWidth='160' [calculateDisplayValue]='ds.getDate'
        [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("ENTITY")' dataField='ent_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("WORKSTATION")' dataField='wc_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("WASTE CODE")' dataField='wt_code' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("WASTE TYPE")' dataField='wt_hazard' dataType='string' minWidth='150'>
        <dxo-lookup [dataSource]='ds.hazard' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("DATE")' dataField='t_finishDate' dataType='date' minWidth='160' calculateSortValue='t_finishDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
    <dxi-column [caption]='ds.lg.format("U")' dataField='wt_uom' dataType='number' minWidth='110' [allowEditing]='false'>
        <dxo-lookup [dataSource]='ds.uom' valueExpr='id' displayExpr='value'> </dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("AMOUNT")' dataField='t_quantity' dataType='number' [allowEditing]='false'
        [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column [caption]='ds.lg.format("ELIMINATION CODE")' dataField='e_code' dataType='string'></dxi-column>
    <dxi-column [caption]='ds.lg.format("PROCESSOR")' dataField='tr_name' dataType='string' [allowEditing]='false'
        [allowHeaderFiltering]='false'></dxi-column>

</dx-data-grid>